# Uses of Class
java.rmi.server.RMISocketFactory

Packages that use RMISocketFactory
Package
Description
java.rmi.server
Provides classes and interfaces for supporting the server side of RMI.

## Uses of RMISocketFactory in java.rmi.server

Methods in java.rmi.server that return RMISocketFactory
Modifier and Type
Method
Description
`static RMISocketFactory`
RMISocketFactory.`getDefaultSocketFactory()`
Returns a reference to the default socket factory used by this RMI implementation.
`static RMISocketFactory`
RMISocketFactory.`getSocketFactory()`
Returns the socket factory set by the `setSocketFactory` method.
Methods in java.rmi.server with parameters of type RMISocketFactory
Modifier and Type
Method
Description
`static void`
RMISocketFactory.`setSocketFactory(RMISocketFactory fac)`
Set the global socket factory from which RMI gets sockets (if the remote object is not associated with a specific client and/or server socket factory).